diff -urN qmail-1.03-vanilla/tryshsgr.c qmail-1.03-md24/tryshsgr.c
--- qmail-1.03-vanilla/tryshsgr.c	1998-06-15 12:53:16.000000000 +0200
+++ qmail-1.03-md24/tryshsgr.c	2007-07-19 20:56:22.000000000 +0200
@@ -1,4 +1,4 @@
-void main()
+int main()
 {
   short x[4];
  
diff -urN qmail-1.03-vanilla/tryulong32.c qmail-1.03-md24/tryulong32.c
--- qmail-1.03-vanilla/tryulong32.c	1998-06-15 12:53:16.000000000 +0200
+++ qmail-1.03-md24/tryulong32.c	2007-07-19 20:56:22.000000000 +0200
@@ -1,4 +1,4 @@
-void main()
+int main()
 {
   unsigned long u;
   u = 1;
diff -urN qmail-1.03-vanilla/tryvfork.c qmail-1.03-md24/tryvfork.c
--- qmail-1.03-vanilla/tryvfork.c	1998-06-15 12:53:16.000000000 +0200
+++ qmail-1.03-md24/tryvfork.c	2007-07-19 20:56:22.000000000 +0200
@@ -1,4 +1,4 @@
-void main()
+int main()
 {
   vfork();
 }
diff -urN qmail-1.03-vanilla/trywaitp.c qmail-1.03-md24/trywaitp.c
--- qmail-1.03-vanilla/trywaitp.c	1998-06-15 12:53:16.000000000 +0200
+++ qmail-1.03-md24/trywaitp.c	2007-07-19 20:56:22.000000000 +0200
@@ -1,7 +1,7 @@
 #include <sys/types.h>
 #include <sys/wait.h>
 
-void main()
+int main()
 {
   waitpid(0,0,0);
 }
diff -urN qmail-1.03-vanilla/typesx.h qmail-1.03-md24/typesx.h
--- qmail-1.03-vanilla/typesx.h	1970-01-01 01:00:00.000000000 +0100
+++ qmail-1.03-md24/typesx.h	2007-07-19 22:19:14.000000000 +0200
@@ -0,0 +1,26 @@
+#ifndef MISC_TYPES_H
+#define MISC_TYPES_H
+
+#include <inttypes.h>
+#include <sys/types.h>
+
+/* used for crypto routines */
+#ifdef uint32_t
+typedef uint32_t u32;
+typedef uint16_t u16;
+typedef uint8_t   u8;
+
+typedef int32_t i32;
+typedef int16_t i16;
+typedef int8_t   i8;
+#else
+typedef unsigned int u32;
+typedef unsigned short u16;
+typedef unsigned char u8;
+
+typedef signed int i32;
+typedef signed short i16;
+typedef signed char i8;
+#endif
+
+#endif
diff -urN qmail-1.03-vanilla/ucspitls.c qmail-1.03-md24/ucspitls.c
--- qmail-1.03-vanilla/ucspitls.c	1970-01-01 01:00:00.000000000 +0100
+++ qmail-1.03-md24/ucspitls.c	2007-07-28 15:55:38.000000000 +0200
@@ -0,0 +1,31 @@
+#include "scan.h"
+#include "env.h"
+
+int ucspitls(void)
+{
+  unsigned long fd;
+  char *fdstr;
+   
+  if (!(fdstr=env_get("SSLCTLFD")))
+    return 0;
+  if (!scan_ulong(fdstr,&fd))
+    return 0;
+  if (write((int)fd, "y", 1) < 1)
+    return 0;
+ 
+  if (!(fdstr=env_get("SSLREADFD")))
+    return 0;
+  if (!scan_ulong(fdstr,&fd))
+    return 0;
+  if (dup2((int)fd,0) == -1)
+    return 0;
+ 
+  if (!(fdstr=env_get("SSLWRITEFD")))
+    return 0; 
+  if (!scan_ulong(fdstr,&fd))
+    return 0;
+  if (dup2((int)fd,1) == -1)
+    return 0;
+ 
+  return 1;
+}
diff -urN qmail-1.03-vanilla/ucspitls.h qmail-1.03-md24/ucspitls.h
--- qmail-1.03-vanilla/ucspitls.h	1970-01-01 01:00:00.000000000 +0100
+++ qmail-1.03-md24/ucspitls.h	2007-07-28 15:55:42.000000000 +0200
@@ -0,0 +1 @@
+int ucspitls(void);
